//
//  AlbumDataLoader.h
//
//  Created by Puran Singh on 5/21/12.
//  Copyright (c) 2012 32skills Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PhotoAlbum.h"

typedef void (^AlbumLoadedBlock)(PhotoAlbum *album);
typedef void (^CompletionBlock)(NSArray *data);
typedef void (^ErrorBlock)(NSString *error);
typedef void (^PhotoLoadedBlock)(Photo *photo);

@interface AlbumDataService : NSObject

@property(nonatomic, copy) AlbumLoadedBlock     mAlbumLoadedBlock;
@property(nonatomic, copy) PhotoLoadedBlock     mPhotoLoadedBlock;
@property(nonatomic, copy) CompletionBlock      mCompletionBlock;
@property(nonatomic, copy) ErrorBlock           mErrorBlock;

- (void)loadAlbums:(PhotoSource)albumSource loadPhotos:(BOOL)loadPhotos;
- (void)loadPhotos:(NSURL *)albumURL onComplete:(CompletionBlock) complete onPhoto:(PhotoLoadedBlock) photo onError:(ErrorBlock) error;
- (void) loadImage:(NSURL *) imageURL imageBlock:(void (^)(UIImage *image))imageBlock;

- (BOOL)deleteArchive;
- (void)addToFavorite:(NSString *)photoID photo:(Photo *)photo;
- (void)removeFromFavorite:(NSString *)photoID;
- (PhotoAlbum *)loadFavoriteAlbum;
@end
