//
//  AlbumView.h
//
//  Created by Puran Singh on 5/20/12.
//  Copyright (c) 2012 Personnel, Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "GMGridView.h"
#import "PhotoAlbum.h"

@protocol AlbumViewDelegate;

@interface AlbumView : UIScrollView <GMGridViewDataSource, GMGridViewActionDelegate> 

@property (nonatomic, strong) GMGridView            *mGridView;
@property (nonatomic, strong) GMGridViewCell        *mSelectedCell;
@property (nonatomic, strong) NSArray               *mAlbumList;
@property (nonatomic, weak) id<AlbumViewDelegate>   mDelegate;

- (id)initWithFrame:(CGRect)frame albumList:(NSArray *)albums;
@end

@protocol AlbumViewDelegate <NSObject>
@required
- (void)albumView:(AlbumView *)albumView didAlbumSelected:(PhotoAlbum *)album;
@end