//
//  FacebookConnectService.h
//
//  Created by Puran Singh on 05/16/12.
//  Copyright (c) 2012 Shutterfly Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FBConnect.h"

static NSString *FACEBOOK_BIRTHDAY_DATE_FORMAT = @"MM/dd/yyyy";

@interface FacebookConnectService : NSObject <FBRequestDelegate, FBDialogDelegate, FBSessionDelegate> {
    void (^photosCompleteBlock)(NSArray *photos, NSError *error);
    void (^loginCompleteBlock)(id account, NSError *error, BOOL canceled);
    void (^logoutCompleteBlock)(NSError *error);
    void (^albumsCompleteBlock)(NSMutableArray *albums, NSError *error);
    void (^lastRequestCompleteBlock)(id data, NSError *error);
    Facebook *facebookClient;
}

+ (FacebookConnectService *)sharedService;

- (id)initWithAPIClient:(Facebook *)client;

- (void)loginWithCompletion:(void (^)(id account, NSError *error, BOOL canceled))block;

- (void)logoutWithCompletion:(void (^)(NSError *error))block;

- (BOOL)isLoggedIn;

- (void)photosFromAlbumWithID:(NSString *)albumID completion:(void (^)(NSArray *photos, NSError *error))block;

- (void)albumsWithCompletion:(void (^)(NSMutableArray *albums, NSError *error))block;

- (void)extendAccessTokenIfNeeded;

- (BOOL)handleOpenURL:(NSURL *)url;

- (BOOL)deleteArchive;
                           
@end