//
//  InstagramAPIClient.m
//  spacemonkey
//
//  Created by Puran Singh on 3/8/12.
//  Copyright (c) 2012 Shutterfly. All rights reserved.
//
#import <Foundation/Foundation.h>
#import "MKNetworkEngine.h"

extern NSString* ACTION_GET_USER_MEDIA_RECENT;
extern NSString* ACTION_GET_USER_MEDIA_LIKED;
extern NSString* ACTION_GET_USER_FEED;
extern NSString* ACTION_GET_MEDIA_POPULAR;
extern NSString* ACTION_GET_TAG_MEDIA_RECENT;
extern NSString* ACTION_GET_USER_SELF;


@protocol InstagramAPISessionDelegate;
@protocol InstagramAPIRequestDelegate;


@interface InstagramAPIClient : MKNetworkEngine

@property (nonatomic, strong) NSString                      *mApplicationId;
@property (nonatomic, strong) NSString                      *mAccessToken;
@property (nonatomic, weak) id<InstagramAPISessionDelegate> mSessionDelegate;
@property (nonatomic, weak) id<InstagramAPIRequestDelegate> mRequestDelegate;


- (id)initWithAppId:(NSString *)appId
        andDelegate:(id<InstagramAPISessionDelegate>)delegate;

- (void) login;
- (void) logout;

- (BOOL) isSessionValid;
- (BOOL) handleOpenURL:(NSURL*)url;
- (void) accessTokenExpired;

#pragma server calls

- (void) execInstagramAPICall:(NSString*)url 
                    andAction:(NSString*)_action 
                 withUserInfo:(NSDictionary*)userInfo;

- (void) callUserMediaRecent:(int)count withUserInfo:(NSDictionary*)userInfo;

@end

@protocol InstagramAPISessionDelegate <NSObject>

- (void) instagramDidLogin:(NSDictionary *) userData;
- (void) instagramDidNotLogin:(BOOL)cancelled;
- (void) instagramDidLogout;
- (void) instagramSessionInvalidated;

@end

@protocol InstagramAPIRequestDelegate <NSObject>
- (void) instagramResponseReceived:(id)jsonData;
@end
