//
//  Copyright (c) 2012 32skills Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "InstagramAPIClient.h"

@class InstagramAPIClient;

@interface InstagramConnectService : NSObject <InstagramAPIRequestDelegate, InstagramAPISessionDelegate> {
    void (^photosCompleteBlock)(NSMutableArray *albums, NSError *error);
    void (^loginCompleteBlock)(id account, NSError *error, BOOL canceled);
    void (^logoutCompleteBlock)(NSError *error);
    InstagramAPIClient *instagramClient;
    NSMutableDictionary *instagramAccount;
}

+ (InstagramConnectService *)sharedService;

- (id)initWithAPIClient:(InstagramAPIClient *)client;

- (void)loginWithCompletion:(void (^)(id account, NSError *error, BOOL canceled))block;

- (void)logoutWithCompletion:(void (^)(NSError *error))block;

- (BOOL)isLoggedIn;

- (void)extendAccessTokenIfNeeded;

- (BOOL)handleOpenURL:(NSURL *)url;

- (void)albums:(void (^)(NSMutableArray *albums, NSError *error))block;

- (BOOL)deleteArchive;

@end
