//
//  MenuViewController.m
//  Photo Plus
//
//  Created by Puran Singh on 7/21/12.
//  Copyright (c) 2012 32Skills. All rights reserved.
//

#import "MenuViewController.h"
#import <QuartzCore/QuartzCore.h>

@interface MenuViewController ()

@end

@implementation MenuViewController

@synthesize iPhoneButton;
@synthesize delegate;
@synthesize open;
@synthesize facebookButton;
@synthesize instagramButton;
@synthesize favoriteButton;
@synthesize dropboxButton;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.view.layer.cornerRadius = 4.0;
    self.view.layer.borderColor = [UIColor darkTextColor].CGColor;
    self.view.layer.borderWidth = 1.0;
    self.view.clipsToBounds = YES;
    
    self.iPhoneButton.selected = YES;
    self.iPhoneButton.titleLabel.textColor = [UIColor colorWithRed:122.0f/255.0f green:204.0f/255.0f blue:41.0f/255.0f alpha:1.0];
}

- (void)viewDidUnload
{
    [self setDelegate:nil];
    [self setIPhoneButton:nil];
    [self setFacebookButton:nil];
    [self setInstagramButton:nil];
    [self setFavoriteButton:nil];
    [self setDropboxButton:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (void)markSelected:(NSString *)source
{
    if ([source isEqualToString:@"facebook"]) {
        self.facebookButton.selected = YES;
        [self performSelector:@selector(highlightButton:) withObject:self.facebookButton afterDelay:0.0];
    } else if ([source isEqualToString:@"iPhone"]) {
        self.iPhoneButton.selected = YES;
        [self performSelector:@selector(highlightButton:) withObject:self.iPhoneButton afterDelay:0.0];
    } else if ([source isEqualToString:@"instagram"]) {
        self.instagramButton.selected = YES;
        [self performSelector:@selector(highlightButton:) withObject:self.instagramButton afterDelay:0.0];
    } else if ([source isEqualToString:@"favorites"]) {
        self.favoriteButton.selected = YES;
        [self performSelector:@selector(highlightButton:) withObject:self.favoriteButton afterDelay:0.0];
    } else if ([source isEqualToString:@"dropbox"]) {
        self.favoriteButton.selected = YES;
        [self performSelector:@selector(highlightButton:) withObject:self.dropboxButton afterDelay:0.0];
    }
}

- (void)highlightButton:(UIButton *)b {
    [b setHighlighted:YES];
    b.titleLabel.textColor = [UIColor colorWithRed:122.0f/255.0f green:204.0f/255.0f blue:41.0f/255.0f alpha:1.0];
}

- (void)unHighlightButton:(UIButton *)b {
    [b setHighlighted:NO];
    b.titleLabel.textColor = [UIColor whiteColor];
}

- (void)sendAction:(id)sender action:(NSString *)action
{
    UIButton *button = (UIButton *)sender;
    
    if ([button isSelected] == YES) {
        button.selected = NO;
        [self performSelector:@selector(unHighlightButton:) withObject:sender afterDelay:0.0];
        [self.delegate menuSelected:action enable:NO sender:sender];
    } else {
        button.selected = YES;
        [self performSelector:@selector(highlightButton:) withObject:sender afterDelay:0.0];
        [self.delegate menuSelected:action enable:YES sender:sender];
    }
}

- (IBAction)iPhoneButtonClicked:(id)sender
{
    [self sendAction:sender action:@"iPhone"];
}

- (IBAction)facebookButtonClicked:(id)sender
{
    [self sendAction:sender action:@"facebook"];
}

- (IBAction)instagramButtonClicked:(id)sender
{
    [self sendAction:sender action:@"instagram"];
}

- (IBAction)dropBoxButtonClicked:(id)sender
{
    [self sendAction:sender action:@"dropbox"];
}

- (IBAction)favoriteBtnClicked:(id)sender
{
    [self sendAction:sender action:@"favorites"];
}




@end
