//  Created by Puran Singh on 5/10/12.
//  Copyright (c) 2012 32skills Inc. All rights reserved.
//

#import "Photo.h"

@implementation Photo

@synthesize mPhotoID;
@synthesize mPhotoTitle;
@synthesize mSource;
@synthesize mCreatedDate;
@synthesize mFullResImageURL;
@synthesize mThumbnailImageURL;
@synthesize mLocation;

- (id)initWithCoder:(NSCoder *)aDecoder {
    self = [super init];
    if(!self)
        return self;
    self.mPhotoID = [aDecoder decodeObjectForKey:@"photoID"];
    self.mPhotoTitle = [aDecoder decodeObjectForKey:@"photoTitle"];
    self.mSource = [[aDecoder decodeObjectForKey:@"source"] intValue];
    self.mCreatedDate = [aDecoder decodeObjectForKey:@"createdDate"];
    self.mFullResImageURL = [aDecoder decodeObjectForKey:@"fullResImageURL"];
    self.mThumbnailImageURL = [aDecoder decodeObjectForKey:@"thumbnailImageURL"];
    self.mLocation = [aDecoder decodeObjectForKey:@"location"];
    
    return self;
}

- (void)encodeWithCoder:(NSCoder *)aCoder {
    
    [aCoder encodeObject:self.mPhotoID forKey:@"photoID"];
    [aCoder encodeObject:self.mPhotoTitle  forKey:@"photoTitle"];
    [aCoder encodeObject:[NSNumber numberWithInt:self.mSource] forKey:@"source"];
    [aCoder encodeObject:self.mCreatedDate forKey:@"createdDate"];
    [aCoder encodeObject:self.mFullResImageURL forKey:@"fullResImageURL"];
    [aCoder encodeObject:self.mThumbnailImageURL forKey:@"thumbnailImageURL"];
    [aCoder encodeObject:self.mLocation forKey:@"location"];
}

@end
