//
//  PhotoStore.m
//  photoching
//
//  Created by Puran Singh on 7/19/12.
//  Copyright (c) 2012 32Skills. All rights reserved.
//

#import "PhotoStore.h"

static PhotoStore *STORE = nil;

@interface PhotoStore () {
    NSMutableArray *photos;
}

@end

@implementation PhotoStore
@synthesize activeAlbum;
@synthesize activePhoto;
@synthesize selectedSources;

+ (PhotoStore *)store
{
    if (STORE == nil) {
        STORE = [[PhotoStore alloc] init];
    }
    
    return STORE;
}

- (id)init
{
    self = [super init];
    if (self) {
        self->photos = [[NSMutableArray alloc] init];
        self.selectedSources = [[NSMutableArray alloc] init];
    }
    return self;
}

- (void)setNewActiveAlbum:(PhotoAlbum *)newAlbum
{
    self->photos = nil;
    self.activeAlbum = nil;
    self->photos = [[NSMutableArray alloc] init];
    self.activeAlbum = newAlbum;
}

- (NSArray *)photos
{
    if ([self->photos count] == 0) {
        NSMutableArray *sorted = [[self.activeAlbum.mPhotos sortedArrayUsingComparator:^NSComparisonResult(id obj1, id obj2) {
            Photo *photo1 = (Photo *)obj1;
            Photo *photo2 = (Photo *)obj2;
            return [photo2.mCreatedDate compare:photo1.mCreatedDate];
        }] mutableCopy];
        self->photos = [sorted copy];
        sorted = nil;
    } 
    return [[NSArray alloc] initWithArray:self->photos];
}

- (void)reverse
{
   //
}

- (void)shuffle
{
}
@end
